# This file created by conda-build 3.16.3
# meta.yaml template originally from:
# C:\ci\containers\000001skd8c\tmp\build\80754af9\rsync-recipes\luigi-2.8.2-python_3.7-on-winbuilder, last modified Mon Dec 17 22:43:00 2018
# ------------------------------------------------

package:
    name: luigi
    version: 2.8.2
source:
    sha256: 6270c25d236dd5916466b0f6c9f7f0a3ca7d409787b8e0e9b5b166e817579e6f
    url: https://github.com/spotify/luigi/archive/2.8.2.tar.gz
build:
    entry_points:
        - luigi = luigi.cmdline:luigi_run
        - luigi-deps = luigi.tools.deps:main
        - luigi-deps-tree = luigi.tools.deps_tree:main
        - luigi-grep = luigi.tools.luigi_grep:main
        - luigid = luigi.cmdline:luigid
    number: '0'
    script: C:\ci\luigi_1545108455425\_h_env\python.exe -m pip install . --no-deps
        --ignore-installed --no-cache-dir -vvv
    string: py37_0
requirements:
    host:
        - ca-certificates 2018.03.07 0
        - certifi 2018.11.29 py37_0
        - openssl 1.1.1a he774522_0
        - pip 18.1 py37_0
        - python 3.7.1 h8c8aaf0_6
        - setuptools 40.6.3 py37_0
        - sqlite 3.26.0 he774522_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.15.26706 h3a45250_0
        - wheel 0.32.3 py37_0
        - wincertstore 0.2 py37_0
    run:
        - python >=3.7,<3.8.0a0
        - setuptools
        - tornado >=4.0,<6
test:
    commands:
        - luigi --help
        - luigid --help
        - luigi-grep --help
        - luigi-deps --help
        - luigi-deps-tree --help
    imports:
        - luigi
        - luigi.contrib
        - luigi.contrib.hdfs
        - luigi.scheduler
        - luigi.tools
    requires:
        - botocore
about:
    description: 'Luigi handles dependency resolution, workflow management, visualization,

        handling failures, command line integration, and much more. It also comes

        with Hadoop support built in.

        '
    dev_url: https://github.com/spotify/luigi
    doc_url: https://luigi.readthedocs.io/en/stable/
    home: https://github.com/spotify/luigi
    license: Apache-2.0
    license_family: Apache
    license_file: LICENSE
    summary: Workflow mgmgt + task scheduling + dependency resolution.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - kwilcox
        - nehaljwani
        - ocefpaf
